commit:     2506aa563eb880eba6b62e1c9e60f370c97f90f6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 24 04:25:47 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 24 06:10:52 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2506aa56

dev-python/uv-build: Bump to 0.7.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/uv-build/Manifest              |  1 +
 dev-python/uv-build/uv-build-0.7.8.ebuild | 39 +++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/uv-build/Manifest b/dev-python/uv-build/Manifest
index dcbf686662df..dd314dc3620c 100644
--- a/dev-python/uv-build/Manifest
+++ b/dev-python/uv-build/Manifest
@@ -1 +1,2 @@
 DIST uv_build-0.6.17.tar.gz 300696 BLAKE2B 
3f15068232e20b4b70ef319f90a258efc0d38be668bc438c91354b5ede4cb03235abc912292e2747249eab5c54c1fbc3cfa91ab1335881b975fce9677340c54e
 SHA512 
2827629a11a9775661554f3eae4f3c6018637203c18f739ce728973ee0e7f905bef7c9fcc200f95393e2e13c167e31fdf0ab8dced59c028c3c600d47ba373752
+DIST uv_build-0.7.8.tar.gz 305609 BLAKE2B 
89d2e7ff95f4375d4fff758463c1cf918c3ec475a1e0de04fcc51b4bd0fefe1aca50ea223b3cc456c5944f0673702ab971374829fb568e4521129acb0a770506
 SHA512 
bde37f82ae781531e50425ff247219e4e2908c7e46200a65a74e8e2b8b48a0d5cd60476138c160bd1d07aa8c9a581f5da01e79fd7883d018f10617ddba8b8349

diff --git a/dev-python/uv-build/uv-build-0.7.8.ebuild 
b/dev-python/uv-build/uv-build-0.7.8.ebuild
new file mode 100644
index 000000000000..258624e4722c
--- /dev/null
+++ b/dev-python/uv-build/uv-build-0.7.8.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+# maturin compiles uv-build executable for every impl, we do not want
+# that, so we hack hatchling into installing the Python module instead.
+DISTUTILS_UPSTREAM_PEP517=maturin
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PEP517 uv build backend"
+HOMEPAGE="
+       https://github.com/astral-sh/uv/
+       https://pypi.org/project/uv-build/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/uv-${PV}
+"
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       cat >> pyproject.toml <<-EOF || die
+               [tool.hatch.build.targets.wheel]
+               packages = ["python/uv_build"]
+       EOF
+
+       # use the executable from dev-python/uv instead of building
+       # a largely overlapping uv-build executable (at least for now)
+       sed -i -e '/USE_UV_EXECUTABLE/s:False:True:' 
python/uv_build/__init__.py || die
+}

Reply via email to